<bugID>422088<Summary>closing a tab doesn't return to the last shown tab</Summary><Description>User-Agent:       Mozilla/5.0 (compatible; Googlebot/2.1; +http://www.google.com/bot.html)
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.1.12) Gecko/20080201 Firefox/2.0.0.12

When multiple are tabs opened,
showing a tab (which is *not* the right most tab),
opening a new tab (in the background by midlle-mousbutton-clicking, then bringing this tab to front by clicking on the tab),
and then closing this new tab again
does not return to the last-viewed tab. 
Instead, the right most tab is displayed.


Reproducible: Always

Steps to Reproduce:
1. Open Firefox 
2. In Options -&gt; Tabs -&gt; uncheck "When I open a link in a new tab, switch to it immediately"
2. Navigate to a website with links
3. open some links in new tabs in background 
4. bring the last opened tab opened tab to front by clicking on it
5. close this tab
Actual Results:  
you see the roght most tab


Expected Results:  
see the tab I was before


My firefox is set to open new tabs in the background. 
When enabling "When I open a link in a new tab, switch to it immediately" under Options/Tabs, this bug doesn't appear, i.e. when closing a tab the previosly shown tab is shown again.</Description></bugID>